Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BTreeCursor..::.Add Method (KeyValuePair<(Of <(DatabaseEntry, DatabaseEntry>)>), Cursor..::.InsertLocation)
BTreeCursor Class See Also Send Feedback

Insert the specified key/data pair into the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public void Add(
    	KeyValuePair<DatabaseEntry, DatabaseEntry> pair,
    	Cursor..::.InsertLocation loc
    )

Visual Basic (Declaration)
    Public Sub Add ( _
    	pair As KeyValuePair(Of DatabaseEntry, DatabaseEntry), _
    	loc As Cursor..::.InsertLocation _
    )

Visual C++
    public:
    void Add(
    	KeyValuePair<DatabaseEntry^, DatabaseEntry^> pair,
    	Cursor..::.InsertLocation loc
    )

#### Parameters

pair
  Type: System.Collections.Generic..::.KeyValuePair<(Of <(DatabaseEntry, DatabaseEntry>)>)
  The key/data pair to be inserted

loc
  Type: BerkeleyDB..::.Cursor..::.InsertLocation
  If the key already exists in the database and no duplicate sort function has been specified, specify whether the inserted data item is added as the first or the last of the data items for that key.

# See Also

BTreeCursor Class
Add Overload
BerkeleyDB Namespace